|  | Home | Documentation | _wsse__UsernameToken Struct Reference updated Mon May 13 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
_wsse__UsernameToken Struct Reference

This element defines the wsse:UsernameToken element per Section 4.1. Imported element _wsse__UsernameToken from typemap WS/WS-typemap.dat. More...

`#include <wsse.h>`

Collaboration diagram for _wsse__UsernameToken:
[legend]

## Public Attributes
char * | Username
struct _wsse__Password * | Password
struct wsse__EncodedString * | Nonce
char * | Salt
unsigned int * | Iteration
char * | wsu__Created
char * | wsu__Id

## Detailed Description

This element defines the wsse:UsernameToken element per Section 4.1. Imported element _wsse__UsernameToken from typemap WS/WS-typemap.dat.

Element "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":UsernameToken of complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":UsernameTokenType.

## Member Data Documentation

unsigned int* _wsse__UsernameToken::Iteration

struct wsse__EncodedString* _wsse__UsernameToken::Nonce

struct _wsse__Password* _wsse__UsernameToken::Password

char* _wsse__UsernameToken::Salt

char* _wsse__UsernameToken::Username

char* _wsse__UsernameToken::wsu__Created

char* _wsse__UsernameToken::wsu__Id

The documentation for this struct was generated from the following file:

- wsse.h